Closed Bug 1237342 Opened 4 years ago Closed 4 years ago

Drop API 14 support from Firefox builds

Categories

(Firefox Build System :: Android Studio and Gradle Integration, defect)

All
Android
defect
Not set

Tracking

(firefox46 fixed)

VERIFIED FIXED
mozilla46
Tracking Status
firefox46 --- fixed

People

(Reporter: rnewman, Assigned: rnewman)

References

(Blocks 1 open bug, )

Details

Attachments

(3 files)

Follow-up from Bug 1155801.

API 14 has almost no users, and some maintenance burden. As we're dropping 11-13, we might as well drop 14, too.
Comment on attachment 8704721 [details]
MozReview Request: Bug 1237342 - Drop API 14 in b2gdroid confvars.sh. r?nalexander

https://reviewboard.mozilla.org/r/29719/#review26555

If it's green, ship it!
Attachment #8704721 - Flags: review?(nalexander) → review+
Comment on attachment 8704735 [details]
MozReview Request: Bug 1237342 - Use with-android-version=9 for b2gdroid. r?nalexander

https://reviewboard.mozilla.org/r/29721/#review26563

Fold it in.
Attachment #8704735 - Flags: review?(nalexander) → review+
Comment on attachment 8704718 [details]
MozReview Request: Bug 1237342 - Drop support for Android API 14 from Firefox builds. r?nalexander

https://reviewboard.mozilla.org/r/29713/#review26565

Sorry, meant to stamp this too.
https://hg.mozilla.org/integration/fx-team/rev/89c1cc2faea8903570688dd38d9f71ec0c5f0b87
Bug 1237342 - Drop support for Android API 14 from Firefox builds. r=nalexander
https://hg.mozilla.org/mozilla-central/rev/89c1cc2faea8
Status: ASSIGNED → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 46
Status: RESOLVED → VERIFIED
Product: Firefox for Android → Firefox Build System
Target Milestone: Firefox 46 → mozilla46
You need to log in before you can comment on or make changes to this bug.